Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.serializer
Class BaseXmlWriterFactory

    java.lang.Object
      org.apache.xmlrpc.serializer.BaseXmlWriterFactory

All Implemented Interfaces:
  XmlWriterFactory

Direct Known Subclasses:
  CharSetXmlWriterFactory

    public class BaseXmlWriterFactory

extends java.lang.Object
implements XmlWriterFactory

The default instance of `XmlWriterFactory` creates instances of `XMLWriterImpl`. This works for any Java version since 1.2

Constructor Summary
`BaseXmlWriterFactory()`

Method Summary
`org.xml.sax.ContentHandler` | `getXmlWriter(XmlRpcStreamConfig pConfig, java.io.OutputStream pStream)` Creates a new instance of `ContentHandler`, writing to the given `OutputStream`.
`protected org.apache.ws.commons.serialize.XMLWriter` | `newXmlWriter()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseXmlWriterFactory

    public BaseXmlWriterFactory()

Method Detail

### newXmlWriter

    protected org.apache.ws.commons.serialize.XMLWriter newXmlWriter()

### getXmlWriter

    public org.xml.sax.ContentHandler getXmlWriter(XmlRpcStreamConfig pConfig,
                                                   java.io.OutputStream pStream)
                                            throws XmlRpcException

  Description copied from interface: `XmlWriterFactory`
  Creates a new instance of `ContentHandler`, writing to the given `OutputStream`.

  Specified by:
    `getXmlWriter` in interface `XmlWriterFactory`
  Parameters:
    `pConfig` - The request or response configuration.
    `pStream` - The destination stream.
  Returns:
    A SAX handler, typically an instance of `XMLWriter`.
  Throws:
    `XmlRpcException` - Creating the handler failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.